import { ISchema } from '@formily/react';
import React from 'react';
import { SchemaInitializerItemType } from '@nocobase/client';
import { VariableOption, VariableOptions } from '../variable';
export declare abstract class Instruction {
    title: string;
    type: string;
    group: string;
    description?: string;
    options?: {
        label: string;
        value: any;
        key: string;
    }[];
    fieldset: {
        [key: string]: ISchema;
    };
    view?: ISchema;
    scope?: {
        [key: string]: any;
    };
    components?: {
        [key: string]: any;
    };
    Component?(props: any): JSX.Element;
    useVariables?(node: any, options?: any): VariableOption;
    useScopeVariables?(node: any, options?: any): VariableOptions;
    useInitializers?(node: any): SchemaInitializerItemType | null;
    isAvailable?(ctx: object): boolean;
}
export declare const NodeContext: React.Context<any>;
export declare function useNodeContext(): any;
export declare function useAvailableUpstreams(node: any): any[];
export declare function useUpstreamScopes(node: any): any[];
export declare function Node({ data }: {
    data: any;
}): React.JSX.Element;
export declare function RemoveButton(): React.JSX.Element;
export declare function JobButton(): React.JSX.Element;
export declare function NodeDefaultView(props: any): React.JSX.Element;
