/// <reference types="react" />
import { SchemaInitializerItemType, useCollectionDataSource } from '@nocobase/client';
import { FilterDynamicComponent } from '../components/FilterDynamicComponent';
import { WorkflowVariableInput } from '../variable';
import { Instruction } from '.';
export default class extends Instruction {
    title: string;
    type: string;
    group: string;
    description: string;
    fieldset: {
        collection: {
            type: string;
            title: string;
            required: boolean;
            'x-reactions': any[];
            'x-decorator': string;
            'x-component': string;
            'x-component-props': {
                className: string;
            };
        };
        multiple: {
            type: string;
            'x-decorator': string;
            'x-component': string;
            'x-content': string;
            description: string;
        };
        params: {
            type: string;
            'x-component': string;
            properties: {
                filter: {
                    type: string;
                    title: string;
                    'x-decorator': string;
                    'x-component': string;
                    'x-component-props': {
                        useProps(): {
                            options: any[];
                            className: string;
                        };
                        dynamicComponent: string;
                    };
                };
                sort: {
                    type: string;
                    title: string;
                    'x-decorator': string;
                    'x-component': string;
                    items: {
                        type: string;
                        properties: {
                            space: {
                                type: string;
                                'x-component': string;
                                properties: {
                                    sort: {
                                        type: string;
                                        'x-decorator': string;
                                        'x-component': string;
                                    };
                                    field: {
                                        type: string;
                                        enum: string;
                                        required: boolean;
                                        'x-decorator': string;
                                        'x-component': string;
                                        'x-component-props': {
                                            style: {
                                                width: number;
                                            };
                                        };
                                    };
                                    direction: {
                                        type: string;
                                        'x-decorator': string;
                                        'x-component': string;
                                        'x-component-props': {
                                            optionType: string;
                                        };
                                        enum: {
                                            label: string;
                                            value: string;
                                        }[];
                                    };
                                    remove: {
                                        type: string;
                                        'x-decorator': string;
                                        'x-component': string;
                                    };
                                };
                            };
                        };
                    };
                    properties: {
                        add: {
                            type: string;
                            title: string;
                            'x-component': string;
                        };
                    };
                };
                pagination: {
                    type: string;
                    title: string;
                    'x-decorator': string;
                    'x-decorator-props': {
                        value: {
                            designable: boolean;
                        };
                    };
                    'x-component': string;
                    properties: {
                        row: {
                            type: string;
                            'x-component': string;
                            properties: {
                                page: {
                                    type: string;
                                    'x-component': string;
                                    properties: {
                                        page: {
                                            type: string;
                                            title: string;
                                            'x-decorator': string;
                                            'x-component': string;
                                            'x-component-props': {
                                                useTypedConstant: string[];
                                            };
                                            default: number;
                                        };
                                    };
                                };
                                pageSize: {
                                    type: string;
                                    'x-component': string;
                                    properties: {
                                        pageSize: {
                                            type: string;
                                            title: string;
                                            'x-decorator': string;
                                            'x-component': string;
                                            'x-component-props': {
                                                min: number;
                                                max: number;
                                            };
                                            default: number;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
                appends: {
                    type: string;
                    title: string;
                    description: string;
                    'x-decorator': string;
                    'x-component': string;
                    'x-component-props': {
                        title: string;
                        multiple: boolean;
                        useCollection(): any;
                    };
                    'x-reactions': {
                        dependencies: string[];
                        fulfill: {
                            state: {
                                visible: string;
                            };
                        };
                    }[];
                };
            };
            'x-reactions': {
                dependencies: string[];
                fulfill: {
                    state: {
                        visible: string;
                    };
                };
            }[];
        };
        failOnEmpty: {
            type: string;
            'x-decorator': string;
            'x-component': string;
            'x-content': string;
        };
    };
    scope: {
        useCollectionDataSource: typeof useCollectionDataSource;
        useSortableFields(): {
            value: any;
            label: any;
        }[];
    };
    components: {
        ArrayItems: import("@formily/react").ReactFC<import("react").HTMLAttributes<HTMLDivElement>> & import("@formily/antd-v5").ArrayBaseMixins & {
            Item: import("@formily/react").ReactFC<import("react").HTMLAttributes<HTMLDivElement> & {
                type?: "divide" | "card";
            }>;
        };
        FilterDynamicComponent: typeof FilterDynamicComponent;
        SchemaComponentContext: import("react").Context<import("@nocobase/client").ISchemaComponentContext>;
        WorkflowVariableInput: typeof WorkflowVariableInput;
    };
    useVariables({ key: name, title, config }: {
        key: any;
        title: any;
        config: any;
    }, options: any): import("../variable").VariableOption;
    useInitializers(node: any): SchemaInitializerItemType | null;
}
