/// <reference types="react" />
export type VariableOption = {
    key?: string;
    value?: string;
    label?: string;
    children?: VariableOptions;
    [key: string]: any;
};
export type VariableOptions = VariableOption[] | null;
export type VariableDataType = string | {
    type: string;
    options?: {
        entity?: boolean;
        collection?: string;
    };
} | ((field: any, appends?: string[]) => boolean);
export type OptionsOfUseVariableOptions = {
    types?: VariableDataType[];
    fieldNames?: {
        label?: string;
        value?: string;
        children?: string;
    };
    appends?: string[] | null;
    depth?: number;
    current?: any;
};
export declare const defaultFieldNames: {
    readonly label: "label";
    readonly value: "value";
    readonly children: "children";
};
export declare const nodesOptions: {
    label: string;
    value: string;
    useOptions(options: OptionsOfUseVariableOptions): VariableOption[];
};
export declare const triggerOptions: {
    label: string;
    value: string;
    useOptions(options: OptionsOfUseVariableOptions): any;
};
export declare const scopeOptions: {
    label: string;
    value: string;
    useOptions(options: OptionsOfUseVariableOptions): VariableOption[];
};
export declare const systemOptions: {
    label: string;
    value: string;
    useOptions({ types, fieldNames }: OptionsOfUseVariableOptions): {
        [x: string]: string;
        key: string;
    }[];
};
export declare const BaseTypeSets: {
    boolean: Set<string>;
    number: Set<string>;
    string: Set<string>;
    date: Set<string>;
};
export declare function useWorkflowVariableOptions(options?: OptionsOfUseVariableOptions): {
    [x: number]: any;
    key: any;
    disabled: boolean;
}[];
export declare function getCollectionFieldOptions(options: any): VariableOption[];
export declare function WorkflowVariableInput({ variableOptions, ...props }: {
    [x: string]: any;
    variableOptions: any;
}): JSX.Element;
export declare function WorkflowVariableTextArea({ variableOptions, ...props }: {
    [x: string]: any;
    variableOptions: any;
}): JSX.Element;
export declare function WorkflowVariableRawTextArea({ variableOptions, ...props }: {
    [x: string]: any;
    variableOptions: any;
}): JSX.Element;
export declare function WorkflowVariableJSON({ variableOptions, ...props }: {
    [x: string]: any;
    variableOptions: any;
}): JSX.Element;
